[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: backporting uw-imapd

On Wed, 30 Apr 2003, David Fokkema wrote:

> Hi group,
> I installed wu-imapd on my laptop running testing and it needed TLS to
> authenticate me. That seemed right to me, so no problem there. When I
> was convinced that wu-imapd

Pet peave of mine: it's uw-imapd not wu.

> could do everything I wanted it to I
> installed it on my server, running stable. When I tested it, it didn't
> need TLS and I assume an unencrypted authentication was used.
> 1) Can I use this version to set up TLS?


> I decided to backport wu-imapd from testing to stable. I did:
> apt-get source wu-imapd
> apt-get build-dep wu-imapd
> apt-get install libpam0g-dev
> and then
> dpkg-buildpackage -rfakeroot
> I noticed that various reversed patches returned failed (ignored). Is
> this important? Seems so to me...
> Furthermore, I get the following error:
> devlibs error: There is no package matching libcrypto0.9.6-dev and noone
> provides it, please report bug to d-shlibs maintainer
> and a similar one for libssl0.9.6-dev.

Yeah, there is a little incompatability between d-shlibs and woody.

> I have libssl0.9.6 and libssl-dev installed, and I can't get info on
> libssl096-dev.
> 2) How can I backport uw-imapd?

Edit the definition of libssl and libcrypto in debian/d-shlibdeps (or
something.  I don't remember right now.)

Btw, I already maintain a backport of uw-imapd at

Jaldhar H. Vyas <jaldhar@debian.org>
La Salle Debain - http://www.braincells.com/debian/

Reply to: